﻿@{
    ViewData["Title"] = "ProgressQiroaty";
}
<section class="section">
    <div class="section-header">
        <h1>Progress Kelompok Qiroaty</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">ELearning</a></div>
            <div class="breadcrumb-item active"><a href="#">Progress Kelompok Qiroaty</a></div>
        </div>
    </div>

    <div class="section-body">
        <div class="card">
            <div class="card-header form-row">
                <div class="col-md-6">
                    <h4>Daftar Progress Kelompok Qiroaty</h4>
                </div>
                <div class="col-md-6 text-right">
                    <button class="btn btn-primary" id="BtnTanggal" onclick="ModalCariByTanggal('KelasQuran');">
                        <span class="dekstop-off"><i class="fa fa-calendar" aria-hidden="true"></i> Pilih Tanggal </span>
                    </button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelKelasQuran" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>AKSI</th>
                                <th>HARI</th>
                                <th>TANGGAL</th>
                                <th>KELOMPOK</th>
                                <th>JUMLAH SISWA</th>
                                <th>SUDAH INPUT</th>
                                <th>BELUM INPUT</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>AKSI</th>
                                <th>HARI</th>
                                <th>TANGGAL</th>
                                <th>KELOMPOK</th>
                                <th>JUMLAH SISWA</th>
                                <th>SUDAH INPUT</th>
                                <th>BELUM INPUT</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

        <div class="card" id="DivTabelKelasQuranSiswa" style="display:none;">
            <div class="card-header form-row">
                <div class="col-md-6">
                    <h4 id="HeaderKelasQuranSiswa">Daftar Kelas Qur'an Siswa</h4>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelKelasQuranSiswa" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>AKSI</th>
                                <th>NAMA SISWA</th>
                                <th>KELAS</th>
                                <th>JILID/JUZ</th>
                                <th>HALAMAN</th>
                                <th>CATATAN</th>
                                <th>UJIAN</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>AKSI</th>
                                <th>NAMA SISWA</th>
                                <th>KELAS</th>
                                <th>JILID/JUZ</th>
                                <th>HALAMAN</th>
                                <th>CATATAN</th>
                                <th>UJIAN</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalTanggal" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <h5 class="modal-title" id="tanggalModalLabel">Pencarian Berdasarkan Tanggal</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <div class="row">
                        <div class="col-md-12">
                            <input type="text" class="form-control" id="TanggalPencarian" placeholder="dd-mm-yyyy" name="DateFilter" data-toggle="datepicker-maxtoday" readonly />
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" id="BtnPencarianByTanggal"><i class="fa fa-search"></i>&nbsp; Cari</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalFormKelasQuranSiswaProgress" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormKelasQuranSiswaProgress"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormKelasQuranSiswaProgress" action="#" method="POST" class="needs-validation" novalidate>
                    <input type="hidden" name="IdSiswa" class="form-control" />
                    <input type="hidden" name="IdKelasQuran" class="form-control" />
                    <input type="hidden" name="Tanggal" class="form-control" />
                    <div class="form-row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Nama Siswa</label>
                                <input type="text" class="form-control" name="NamaSiswa" placeholder="Ketikkan Nama Siswa..." readonly />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Kelas Paralel</label>
                                <input type="text" class="form-control" name="NamaKelasParalel" placeholder="Ketikkan Kelas Paralel..." readonly />
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Jilid/Qur'an</label>
                                <select class="form-control" name="IdJenisJilidQuran">
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Halaman</label>
                                <input type="text" class="form-control" name="Halaman" placeholder="Ketikkan Halaman..." />
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-form-label font-weight-bold text-right">Catatan</label>
                        <textarea class="form-control" name="Catatan" placeholder="Ketikkan Catatan..." style="height:150px;"></textarea>
                    </div>
                    <div class="offset-md-2 col-md-9 text-center">
                        <button type="button" class="btn btn-danger text-center" data-dismiss="modal"><i class="fa fa-times"></i> Batal</button>
                        <button type="button" class="btn btn-success text-center" id="BtnSaveInputData" onclick="SaveKelasQuranSiswaProgress();"><i class="fa fa-save"></i> Simpan Data</button>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="ModalFormKelasQuranSiswaUjian" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormKelasQuranSiswaUjian"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormKelasQuranSiswaUjian" action="#" method="POST" class="needs-validation" novalidate>
                    <input type="hidden" name="IdSiswa" class="form-control" />
                    <input type="hidden" name="IdKelasQuran" class="form-control" />
                    <input type="hidden" name="Tanggal" class="form-control" />
                    <div class="form-row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Nama Siswa</label>
                                <input type="text" class="form-control" name="NamaSiswa" placeholder="Ketikkan Nama Siswa..." readonly />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Kelas Paralel</label>
                                <input type="text" class="form-control" name="NamaKelasParalel" placeholder="Ketikkan Kelas Paralel..." readonly />
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-form-label font-weight-bold text-right">Jilid/Qur'an</label>
                        <select class="form-control" name="IdJenisJilidQuran">
                        </select>
                    </div>
                    <div class="form-row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Hasil</label>
                                <select class="form-control" name="Hasil">
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Nilai</label>
                                <select class="form-control" name="Nilai">
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-form-label font-weight-bold text-right">Catatan</label>
                        <textarea class="form-control" name="Catatan" placeholder="Ketikkan Catatan..." style="height:100px;"></textarea>
                    </div>
                    <div class="offset-md-2 col-md-9 text-center">
                        <button type="button" class="btn btn-danger text-center" data-dismiss="modal"><i class="fa fa-times"></i> Batal</button>
                        <button type="button" class="btn btn-success text-center" id="BtnSaveInputUjian" onclick="SaveKelasQuranSiswaUjian();"><i class="fa fa-save"></i> Simpan Data</button>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>